Bug 708041 - [Writer][mutter] Font colour palette and Highlight colour palette behave as "always on top" of all workspaces
[Writer][mutter] Font colour palette and Highlight colour palette behave as "...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-26 11:47 EDT by JO
Modified: 2012-04-21 23:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: libreoffice-3.4.5.2-12.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-21 23:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 48096 None None None Never

  None (edit)
Description JO 2011-05-26 11:47:56 EDT
Description of problem:
Font / Highlight palettes have to be closed to prevent them dominating other workspaces.
Erratic behaviour sometimes redirected a double click in an activities pane of another workspace
back to the LibreOffice workspace. 


Version-Release number of selected component (if applicable):
Ver: 3.3.2.2-7.fc15

How reproducible:
Have multiple  workspaces one of which has LibreOffice Writer with opened colour palettes.

Steps to Reproduce:
1.Open several workspaces, one of which has LibreOffice Writer 
2.Double click on Font / Highlight buttons to get palettes.
3.Move to other workspaces.

  
Actual results:
Palettes behave as "always on top"
Occasional redirects from target workspace back to LibreOffice Workspace


Expected results:
1. No "always on top" colour palettes.
2. No redirects


Additional info:
Comment 1 Caolan McNamara 2011-05-27 10:06:50 EDT
With gnome-shell of course, I can see it alright. I'd like to blame the window manager for this, though I've no proof.
Comment 2 JO 2011-05-27 11:45:58 EDT
Should also add that if the pointer is moved over the palette while in a non-Writer workspace, that action too will cause a redirect to the Writer workspace.
Comment 3 JO 2011-05-29 07:02:12 EDT
Two consecutive mouse sweeps over the font colour palette in quick succession are needed to cause the redirect.
Comment 4 JO 2011-05-30 09:44:54 EDT
.. or simply holding the pointer over the close cross of the palette for a few seconds.
To move to another workspace from Writer needs a double click on the activities button rather than the usual flick of the pointer into that corner.
The description of the colour selected in the banner at the bottom of the palette only displays if the mouse click is held down on a colour rather than being permanently displayed - an issue with highlighting too.
Comment 5 JO 2011-06-06 07:40:47 EDT
The font colour palette may also get completely detached from Writer into another workspace that might not contain anything of Libreoffice and in this case it is not "always on top". It is just as well more font palettes can be opened.
Comment 6 Caolan McNamara 2012-04-02 16:05:18 EDT
my fix for a related issue seems to happily fix this as well http://cgit.freedesktop.org/libreoffice/core/commit/?id=a482b89e4d9c41b6f7c1616d193ac6cde05a69a7
Comment 7 Caolan McNamara 2012-04-02 16:14:28 EDT
will try a fix for next f16 update
Comment 8 Fedora Update System 2012-04-12 03:34:41 EDT
libreoffice-3.4.5.2-12.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.5.2-12.fc16
Comment 9 Fedora Update System 2012-04-13 17:34:00 EDT
Package libreoffice-3.4.5.2-12.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.5.2-12.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5840/libreoffice-3.4.5.2-12.fc16
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-04-21 23:31:53 EDT
libreoffice-3.4.5.2-12.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.